Bug 1261049 - dnf autoremove wants to remove running kernel
dnf autoremove wants to remove running kernel
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-08 09:36 EDT by Heiko Adams
Modified: 2015-10-02 05:15 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-02 05:15:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko Adams 2015-09-08 09:36:14 EDT
Description of problem:
When running dnf autoremove it tries to remove the currently booted kernel.

Version-Release number of selected component (if applicable):
$ rpm -qa dnf\*
dnf-langpacks-0.15.0-1.fc23.noarch
dnf-1.1.1-2.fc23.noarch
dnfdaemon-0.3.9-2.fc23.noarch
dnf-plugins-core-0.1.11-1.fc23.noarch
dnf-conf-1.1.1-2.fc23.noarch
dnf-yum-1.1.1-2.fc23.noarch
dnf-plugin-system-upgrade-0.4.0-1.fc23.noarch
dnf-langpacks-conf-0.15.0-1.fc23.noarch

How reproducible:
allways

Steps to Reproduce:
1. Open a terminal
2. run "sudo dnf autoremove"
3.

Actual results:
"Error: The operation would result in removing the booted kernel: kernel-core-4.2.0-300.fc23.x86_64."

Expected results:
dnf autoremove should not try to remove running kernels

Additional info:
Comment 1 Radek Holy 2015-09-16 05:40:09 EDT
Can you please tell us how many kernels you had installed ("rpm -q kernel") and what installonly_limit did you set ("cat /etc/dnf/dnf.conf")?
Comment 2 Heiko Adams 2015-09-16 05:45:27 EDT
$ rpm -q kernel
kernel-4.2.0-0.rc8.git0.1.fc23.x86_64
kernel-4.2.0-1.fc23.x86_64
kernel-4.2.0-300.fc23.x86_64

$ cat /etc/dnf/dnf.conf
[main]
gpgcheck=1
installonly_limit=3
clean_requirements_on_remove=true
metadata_expire=21600
deltarpm=1
fastestmirror=1
metadata_timer_sync=3600
Comment 3 Honza Silhan 2015-09-30 04:15:31 EDT
Can you try `dnf mark install kernel*`, do autoremove again and share the result, please?
Comment 4 Heiko Adams 2015-10-01 02:21:20 EDT
================================================================================
 Paket                        Arch   Version             Paketquelle      Größe
================================================================================
Entfernen:
 Arc-theme-common             noarch 20150922-1.201509301648gitcad1815.fc23
                                                         @heikoada-gtk-themes
                                                                            0  
 Arc-theme-gtk2               noarch 20150922-1.201509301648gitcad1815.fc23
                                                         @heikoada-gtk-themes
                                                                          316 k
 Arc-theme-gtk3               noarch 20150922-1.201509301648gitcad1815.fc23
                                                         @heikoada-gtk-themes
                                                                          1.2 M
 PackageKit                   x86_64 1.0.10-1.fc23       @updates-testing 2.5 M
 PackageKit-command-not-found x86_64 1.0.10-1.fc23       @updates-testing  43 k
 PackageKit-glib              x86_64 1.0.10-1.fc23       @updates-testing 465 k
 PackageKit-gtk3-module       x86_64 1.0.10-1.fc23       @updates-testing  22 k
 abrt                         x86_64 2.6.2-7.fc23        @updates-testing 2.1 M
 abrt-addon-ccpp              x86_64 2.6.2-7.fc23        @updates-testing 298 k
 abrt-addon-coredump-helper   x86_64 2.6.2-7.fc23        @updates-testing  31 k
 abrt-addon-kerneloops        x86_64 2.6.2-7.fc23        @updates-testing  79 k
 abrt-addon-pstoreoops        x86_64 2.6.2-7.fc23        @updates-testing  14 k
 abrt-addon-python            x86_64 2.6.2-7.fc23        @updates-testing  19 k
 abrt-addon-python3           x86_64 2.6.2-7.fc23        @updates-testing  14 k
 abrt-addon-vmcore            x86_64 2.6.2-7.fc23        @updates-testing  42 k
 abrt-addon-xorg              x86_64 2.6.2-7.fc23        @updates-testing  17 k
 abrt-dbus                    x86_64 2.6.2-7.fc23        @updates-testing 129 k
 abrt-desktop                 x86_64 2.6.2-7.fc23        @updates-testing   0  
 abrt-gui                     x86_64 2.6.2-7.fc23        @updates-testing 224 k
 abrt-java-connector          x86_64 1.1.0-6.fc23        @updates-testing  78 k
 abrt-plugin-bodhi            x86_64 2.6.2-7.fc23        @updates-testing  20 k
 abrt-python                  x86_64 2.6.2-7.fc23        @updates-testing  62 k
 abrt-python3                 x86_64 2.6.2-7.fc23        @updates-testing  58 k
 abrt-retrace-client          x86_64 2.6.2-7.fc23        @updates-testing 107 k
 anaconda-widgets             x86_64 23.19.5-1.fc23      @updates-testing  77 k
 appstream-data               noarch 23-4.fc23           @fedora           16 M
 avahi-ui                     x86_64 0.6.31-43.fc23      @updates-testing  55 k
 avahi-ui-gtk3                x86_64 0.6.31-43.fc23      @updates-testing  51 k
 baobab                       x86_64 3.18.0-1.fc23       @updates-testing 1.2 M
 bijiben                      x86_64 3.18.0-1.fc23       @updates-testing 1.4 M
 blivet-data                  noarch 1:1.12.5-1.fc23     @updates-testing 418 k
 cheese                       x86_64 2:3.18.0-1.fc23     @updates-testing 412 k
 chromium                     x86_64 45.0.2454.101-1.fc23
                                                         @lantw44-chromium
                                                                          174 M
 cmake                        x86_64 3.3.2-1.fc23        @updates-testing  22 M
 createrepo_c                 x86_64 0.9.0-4.fc23        @updates-testing 163 k
 createrepo_c-libs            x86_64 0.9.0-4.fc23        @updates-testing 199 k
 dconf-editor                 x86_64 3.18.0-1.fc23       @updates-testing 483 k
 dee                          x86_64 1.2.7-5.fc23        @fedora          323 k
 dnf-plugin-system-upgrade    noarch 0.4.1-1.fc23        @updates-testing  78 k
 dotconf                      x86_64 1.3-11.fc23         @fedora           54 k
 drpm                         x86_64 0.2.0-3.fc23        @updates-testing  61 k
 epiphany                     x86_64 1:3.18.0-1.fc23     @updates-testing 6.8 M
 epiphany-runtime             x86_64 1:3.18.0-1.fc23     @updates-testing 1.4 M
 espeak                       x86_64 1.48.04-6.fc23      @fedora          2.4 M
 evince                       x86_64 3.18.0-1.fc23       @updates-testing 9.3 M
 evince-libs                  x86_64 3.18.0-1.fc23       @updates-testing 1.1 M
 evince-nautilus              x86_64 3.18.0-1.fc23       @updates-testing  19 k
 evolution                    x86_64 3.18.0-1.fc23       @updates-testing  43 M
 evolution-help               noarch 3.18.0-1.fc23       @updates-testing 9.9 M
 fedora-logos-httpd           noarch 22.0.0-2.fc23       @fedora          4.6 k
 fpaste                       noarch 0.3.8.0-2.fc23      @updates-testing  72 k
 freerdp-libs                 x86_64 2:1.2.0-0.9.git.24a752a.fc23
                                                         @fedora          2.7 M
 fwupd                        x86_64 0.5.1-1.fc23        @updates-testing 320 k
 fwupdate-libs                x86_64 0.4-2.fc23          @fedora           27 k
 gedit                        x86_64 2:3.18.0-1.fc23     @updates-testing  13 M
 gedit-plugin-bookmarks       x86_64 3.18.0-1.fc23       @updates-testing  46 k
 gedit-plugin-bracketcompletion
                              x86_64 3.18.0-1.fc23       @updates-testing  31 k
 gedit-plugin-charmap         x86_64 3.18.0-1.fc23       @updates-testing  27 k
 gedit-plugin-codecomment     x86_64 3.18.0-1.fc23       @updates-testing  37 k
 gedit-plugin-colorpicker     x86_64 3.18.0-1.fc23       @updates-testing  35 k
 gedit-plugin-colorschemer    x86_64 3.18.0-1.fc23       @updates-testing 118 k
 gedit-plugin-commander       x86_64 3.18.0-1.fc23       @updates-testing 433 k
 gedit-plugin-dashboard       x86_64 3.18.0-1.fc23       @updates-testing  69 k
 gedit-plugin-drawspaces      x86_64 3.18.0-1.fc23       @updates-testing  40 k
 gedit-plugin-findinfiles     x86_64 3.18.0-1.fc23       @updates-testing  94 k
 gedit-plugin-git             x86_64 3.18.0-1.fc23       @updates-testing  96 k
 gedit-plugin-joinlines       x86_64 3.18.0-1.fc23       @updates-testing  30 k
 gedit-plugin-multiedit       x86_64 3.18.0-1.fc23       @updates-testing 145 k
 gedit-plugin-smartspaces     x86_64 3.18.0-1.fc23       @updates-testing  16 k
 gedit-plugin-synctex         x86_64 3.18.0-1.fc23       @updates-testing  61 k
 gedit-plugin-terminal        x86_64 3.18.0-1.fc23       @updates-testing  46 k
 gedit-plugin-textsize        x86_64 3.18.0-1.fc23       @updates-testing  41 k
 gedit-plugin-wordcompletion  x86_64 3.18.0-1.fc23       @updates-testing  38 k
 gedit-plugin-zeitgeist       x86_64 3.18.0-1.fc23       @updates-testing  19 k
 gedit-plugins                x86_64 3.18.0-1.fc23       @updates-testing   0  
 gedit-plugins-data           x86_64 3.18.0-1.fc23       @updates-testing 2.8 M
 gfbgraph                     x86_64 0.2.3-1.fc23        @fedora           92 k
 gnome-backgrounds            noarch 3.18.0-1.fc23       @updates-testing  15 M
 gnome-calculator             x86_64 3.18.0-1.fc23       @updates-testing 4.7 M
 gnome-calendar               x86_64 3.18.0-1.fc23       @updates-testing 993 k
 gnome-characters             x86_64 3.18.0-1.fc23       @updates-testing 1.5 M
 gnome-clocks                 x86_64 3.18.0-1.fc23       @updates-testing 1.2 M
 gnome-color-manager          x86_64 3.18.0-1.fc23       @updates-testing 4.0 M
 gnome-contacts               x86_64 3.18.0-1.fc23       @updates-testing 1.5 M
 gnome-dictionary             x86_64 3.18.0-1.fc23       @updates-testing 243 k
 gnome-dictionary-libs        x86_64 3.18.0-1.fc23       @updates-testing 2.5 M
 gnome-disk-utility           x86_64 3.18.0-1.fc23       @updates-testing 5.6 M
 gnome-documents              x86_64 3.18.0.1-1.fc23     @updates-testing 1.9 M
 gnome-documents-libs         x86_64 3.18.0.1-1.fc23     @updates-testing 1.2 M
 gnome-getting-started-docs   noarch 3.18.0-1.fc23       @updates-testing  55 M
 gnome-logs                   x86_64 3.18.0-1.fc23       @updates-testing 912 k
 gnome-maps                   x86_64 3.18.0.1-1.fc23     @updates-testing 1.2 M
 gnome-online-miners          x86_64 3.14.3-3.fc23       @fedora          341 k
 gnome-packagekit             x86_64 3.18.0-1.fc23       @updates-testing 6.5 M
 gnome-screenshot             x86_64 3.18.0-1.fc23       @updates-testing 856 k
 gnome-shell-extension-alternate-tab
                              noarch 3.18.0-1.fc23       @updates-testing 9.4 k
 gnome-shell-extension-apps-menu
                              noarch 3.18.0-1.fc23       @updates-testing  26 k
 gnome-shell-extension-auto-move-windows
                              noarch 3.18.0-1.fc23       @updates-testing  19 k
 gnome-shell-extension-common noarch 3.18.0-1.fc23       @updates-testing 545 k
 gnome-shell-extension-drive-menu
                              noarch 3.18.0-1.fc23       @updates-testing  10 k
 gnome-shell-extension-launch-new-instance
                              noarch 3.18.0-1.fc23       @updates-testing 4.9 k
 gnome-shell-extension-native-window-placement
                              noarch 3.18.0-1.fc23       @updates-testing  27 k
 gnome-shell-extension-places-menu
                              noarch 3.18.0-1.fc23       @updates-testing  23 k
 gnome-shell-extension-screenshot-window-sizer
                              noarch 3.18.0-1.fc23       @updates-testing 9.7 k
 gnome-shell-extension-user-theme
                              noarch 3.18.0-1.fc23       @updates-testing 7.0 k
 gnome-shell-extension-window-list
                              noarch 3.18.0-1.fc23       @updates-testing  55 k
 gnome-shell-extension-windowsNavigator
                              noarch 3.18.0-1.fc23       @updates-testing  15 k
 gnome-shell-extension-workspace-indicator
                              noarch 3.18.0-1.fc23       @updates-testing  16 k
 gnome-shell-theme-Arc        noarch 20150922-1.201509301648gitcad1815.fc23
                                                         @heikoada-gtk-themes
                                                                          654 k
 gnome-software               x86_64 3.18.0-1.fc23       @updates-testing 4.1 M
 gnome-sound-recorder         noarch 3.17.92-1.fc23      @updates-testing 506 k
 gnome-system-monitor         x86_64 3.18.0.1-1.fc23     @updates-testing 3.2 M
 gnome-todo                   x86_64 3.18.0-3.fc23       @updates-testing 527 k
 gnome-tweak-tool             noarch 3.18.0-1.fc23       @updates-testing 976 k
 gnome-user-docs              noarch 3.18.0-1.fc23       @updates-testing  39 M
 gnome-user-share             x86_64 3.18.0-1.fc23       @updates-testing 360 k
 gnome-weather                noarch 3.18.0-1.fc23       @updates-testing 5.5 M
 grilo-plugins                x86_64 0.2.16-1.fc23       @updates-testing 1.6 M
 grub2                        x86_64 1:2.02-0.23.fc23    @updates-testing  16 M
 grub2-starfield-theme        x86_64 1:2.02-0.23.fc23    @updates-testing 3.2 M
 grub2-tools                  x86_64 1:2.02-0.23.fc23    @updates-testing  34 M
 gtk-murrine-engine           x86_64 0.98.2-8.fc23       @fedora          400 k
 gtkhtml3                     x86_64 4.10.0-1.fc23       @updates-testing 3.1 M
 gucharmap                    x86_64 3.18.0-1.fc23       @updates-testing 2.9 M
 gucharmap-libs               x86_64 3.18.0-1.fc23       @updates-testing 4.3 M
 gvfs-archive                 x86_64 1.26.0-1.fc23       @updates-testing  36 k
 gvfs-fuse                    x86_64 1.26.0-1.fc23       @updates-testing  37 k
 gvfs-goa                     x86_64 1.26.0-1.fc23       @updates-testing 169 k
 gvfs-mtp                     x86_64 1.26.0-1.fc23       @updates-testing 169 k
 gvfs-smb                     x86_64 1.26.0-1.fc23       @updates-testing  92 k
 html2text                    x86_64 1.3.2a-16.fc23      @fedora          240 k
 http-parser                  x86_64 2.0-9.20121128gitcd01361.fc23
                                                         @fedora           56 k
 httpd                        x86_64 2.4.16-1.fc23       @fedora          5.8 M
 httpd-filesystem             noarch 2.4.16-1.fc23       @fedora          366  
 httpd-tools                  x86_64 2.4.16-1.fc23       @fedora          177 k
 iwl100-firmware              noarch 39.31.5.1-56.fc23   @updates-testing 418 k
 iwl1000-firmware             noarch 1:39.31.5.1-56.fc23 @updates-testing 745 k
 iwl105-firmware              noarch 18.168.6.1-56.fc23  @updates-testing 762 k
 iwl135-firmware              noarch 18.168.6.1-56.fc23  @updates-testing 773 k
 iwl2000-firmware             noarch 18.168.6.1-56.fc23  @updates-testing 768 k
 iwl2030-firmware             noarch 18.168.6.1-56.fc23  @updates-testing 779 k
 iwl3945-firmware             noarch 15.32.2.9-56.fc23   @updates-testing 235 k
 iwl4965-firmware             noarch 228.61.2.24-56.fc23 @updates-testing 272 k
 iwl5000-firmware             noarch 8.83.5.1_1-56.fc23  @updates-testing 1.1 M
 iwl5150-firmware             noarch 8.24.2.2-56.fc23    @updates-testing 418 k
 iwl6000-firmware             noarch 9.221.4.1-56.fc23   @updates-testing 533 k
 iwl6000g2a-firmware          noarch 18.168.6.1-56.fc23  @updates-testing 1.2 M
 iwl6000g2b-firmware          noarch 18.168.6.1-56.fc23  @updates-testing 1.2 M
 iwl6050-firmware             noarch 41.28.5.1-56.fc23   @updates-testing 1.0 M
 js-jquery                    noarch 2.1.3-2.fc23        @fedora          478 k
 jwhois                       x86_64 4.0-43.fc23         @updates-testing 332 k
 krb5-workstation             x86_64 1.13.2-10.fc23      @updates-testing 2.4 M
 libXScrnSaver                x86_64 1.2.2-9.fc23        @fedora           39 k
 libappstream-glib            x86_64 0.5.1-1.fc23        @updates-testing 478 k
 libcacard                    x86_64 2:2.4.0-4.fc23      @updates-testing  47 k
 libcryptui                   x86_64 3.12.2-6.fc23       @fedora          4.2 M
 libertas-usb8388-firmware    noarch 2:20150904-56.git6ebf5d57.fc23
                                                         @updates-testing 212 k
 libgcab1                     x86_64 0.6-3.fc23          @fedora          167 k
 libgit2                      x86_64 0.23.1-1.fc23       @updates-testing 967 k
 libgit2-glib                 x86_64 0.23.6-1.fc23       @updates-testing 457 k
 libhif                       x86_64 0.2.1-4.fc23        @updates-testing 182 k
 libmusicbrainz5              x86_64 5.1.0-4.fc23        @fedora          593 k
 libreport-fedora             x86_64 2.6.2-5.fc23        @updates-testing  41 k
 libreport-plugin-bugzilla    x86_64 2.6.2-5.fc23        @updates-testing 144 k
 libreport-plugin-kerneloops  x86_64 2.6.2-5.fc23        @updates-testing  37 k
 libreport-plugin-logger      x86_64 2.6.2-5.fc23        @updates-testing  37 k
 libreport-plugin-ureport     x86_64 2.6.2-5.fc23        @updates-testing  57 k
 libsss_idmap                 x86_64 1.13.0-7.fc23       @updates-testing  65 k
 libsss_nss_idmap             x86_64 1.13.0-7.fc23       @updates-testing  61 k
 libwnck3                     x86_64 3.14.0-2.fc23       @fedora          2.0 M
 libzapojit                   x86_64 0.0.3-7.fc23        @fedora          111 k
 minizip                      x86_64 1.2.8-9.fc23        @fedora           50 k
 mock                         noarch 1.2.13-2.fc23       @updates-testing 956 k
 mod_dnssd                    x86_64 0.6-13.fc23         @fedora           53 k
 polari                       x86_64 3.18.0-1.fc23       @updates-testing 874 k
 powerline                    x86_64 2.2-2.fc23          @updates-testing 1.3 M
 pulseaudio-module-x11        x86_64 7.0-1.fc23          @updates-testing  65 k
 pulseaudio-utils             x86_64 7.0-1.fc23          @updates-testing 171 k
 python-blivet                noarch 1:1.12.5-1.fc23     @updates-testing 2.7 M
 python-systemd               x86_64 230-1.fc23          @fedora          506 k
 python-zeitgeist             noarch 0.9.16-1.fc23       @updates-testing 297 k
 python2-dnf-plugin-system-upgrade
                              noarch 0.4.1-1.fc23        @updates-testing  52 k
 python3-augeas               noarch 0.5.0-3.fc23        @fedora           70 k
 python3-dmidecode            x86_64 3.12.2-1.fc23       @fedora          271 k
 python3-dnf-plugin-system-upgrade
                              noarch 0.4.1-1.fc23        @updates-testing  49 k
 rygel-tracker                x86_64 0.28.0-1.fc23       @updates-testing 159 k
 speech-dispatcher            x86_64 0.8.3-2.fc23        @fedora          1.8 M
 speech-dispatcher-espeak     x86_64 0.8.3-2.fc23        @fedora          101 k
 spice-glib                   x86_64 0.29-4.fc23         @updates-testing 1.2 M
 spice-gtk3                   x86_64 0.29-4.fc23         @updates-testing 238 k
 sqlite-devel                 x86_64 3.8.11.1-1.fc23     @updates-testing 399 k
 sssd-client                  x86_64 1.13.0-7.fc23       @updates-testing 206 k
 sssd-common                  x86_64 1.13.0-7.fc23       @updates-testing 3.1 M
 sssd-krb5-common             x86_64 1.13.0-7.fc23       @updates-testing 232 k
 sushi                        x86_64 3.18.0-1.fc23       @updates-testing 311 k
 totem                        x86_64 1:3.18.0-1.fc23     @updates-testing 7.4 M
 totem-nautilus               x86_64 1:3.18.0-1.fc23     @updates-testing  35 k
 tracker-firefox-plugin       x86_64 1.6.0-1.fc23        @updates-testing  21 k
 tracker-needle               x86_64 1.6.0-1.fc23        @updates-testing 234 k
 tracker-preferences          x86_64 1.6.0-1.fc23        @updates-testing 262 k
 vala                         x86_64 0.30.0-1.fc23       @updates-testing 9.1 M
 vinagre                      x86_64 3.18.0-1.fc23       @updates-testing 3.0 M
 vte                          x86_64 0.28.2-16.fc23      @updates-testing 1.0 M
 web-assets-filesystem        noarch 5-3.fc23            @fedora            0  
 xapian-core-libs             x86_64 1.2.21-2.fc23       @fedora          3.7 M
 xorg-x11-server-Xephyr       x86_64 1.18.0-0.4.20150907.fc23
                                                         @updates-testing 2.3 M
 youtube-dl                   noarch 2015.09.09-1.fc23   @updates-testing 5.5 M
 zeitgeist                    x86_64 0.9.16-1.fc23       @updates-testing 785 k

Transaktionsübersicht
================================================================================
Entfernen  208 Packages

Installationsgröße: 622 M
Ist dies in Ordnung? [j/N] :

Now it tries to remove nearly half of the system o.O
Comment 5 Honza Silhan 2015-10-02 05:15:52 EDT
Great, problem solved, kernel is not there anymore. It seems like the rest of the packages were installed by yum. Run "dnf-2 migrate" to transfer yumdb to dnf, please. If it doesn't help, reopen.

Note You need to log in before you can comment on or make changes to this bug.